# Changing Post Type Retrieval Arguments

By default, Archive Pages Pro only lists post types with the `public` argument set to `true` and `has_archive` set to `true`.

You can change these args using filter: `archive_pages_pro_post_type_args`

```php
/**
 * Filter the default post type args.
 *
 * @param array $args Default post type args.
 *
 * @since 1.0.0
 */
$args = apply_filters( 'archive_pages_pro_post_type_args', $args );
```

The `$args` argument is an array of post type arguments. Please [see get\_post\_types](https://developer.wordpress.org/reference/functions/get_post_types/) for the full set of arguments.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/archive-pages-pro/developers/changing-post-type-retrieval-arguments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
